%define name xlispstat
%define version 3.52.18
%define release 10mdk

# yves 3.52.18-9mdk -- gb hack for openoffice
# Find a free display (resources generation requires X) and sets XDISPLAY
%define init_display XDISPLAY=$(i=0; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
# The virtual X server PID
%define kill_display kill $(cat /tmp/.X$XDISPLAY-lock)

Summary:	An implementation of the Lisp language with statistics extensions.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Sciences/Mathematics
BuildRequires:	XFree86-devel XFree86-Xvfb
Source:		ftp://ftp.stat.umn.edu/pub/xlispstat/3-52/xlispstat-3-52-18.tar.bz2
URL:		http://lib.stat.cmu.edu/xlispstat
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The xlispstat package contains XLISP-PLUS, an implementation of the Lisp
programming language for the X Window System.  XLISP-PLUS also includes
extensions for performing advanced statistical computations.

Install the xlispstat package if you need a version of the Lisp
programming language for X with statistics extensions.

%prep
%setup -q -n xlispstat-3-52-18

%build
%configure --prefix=%{_prefix}

# Launch a virtual framebuffer X server on a free display
%{init_display}
/usr/X11R6/bin/Xvfb :$XDISPLAY >& /dev/null &
DISPLAY=:$XDISPLAY make UCFLAGS="$RPM_OPT_FLAGS -DX11WINDOWS -I/usr/X11R6/include"
%{kill_display}

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf $buildroot

%files
%defattr(-,root,root)
%doc README RELEASE doc
%{_bindir}/xlispstat
%{_libdir}/xlispstat

%changelog
* Tue Feb 26 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.52.18-10mdk
- BuildRequires XFree86-Xvfb

* Mon Feb 25 2002 Yves Duret <yduret@mandrakesoft.com> 3.52.18-9mdk
- use now a virtual framebuffer X server to fix build thx gb and fredl

* Tue Nov  6 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.52.18-8mdk
- always build with CFLAGS, even if not %%ifarch ix86.
  Lack of RPM_OPT_FLAGS produces incorrect executables on Alpha.

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 3.52.18-7mdk
- packager

* Mon Jul 16 2001 Yves Duret <yduret@mandrakesoft.com> 3.52.18-6mdk
- rebuild

* Tue May 10 2001 Yves Duret <yduret@mandrakesoft.com> 3.52.18-5mdk
- macros
- added an xdpyinfo 2>&1 > /dev/nul in %%build stage

* Mon Dec 25 2000 Yves Duret <yduret@mandrakesoft.com> 3.52.18-4mdk
- macros
- changed the Copyright: to BSD-like

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 3.52.18-3mdk
- macros
- fixed man/lib/bin path according to the FHS

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.52.18-2mdk
- automatically added BuildRequires

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Version 3.52.18

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Tue Mar 14 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 3.52.17-1mdk
- Moved to version 3.52.17
- Updated ftp reference
- Adapted to the new Group structure

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.52.9-5mdk
- Remove CFLAGS for non x86.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.52.9

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Jan 20 1999 Preston Brown <pbrown@redhat.com>
- fixed building against glibc 2.1.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.52.5.
- remove ExclusiveArch
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
